AM261x MCU+ SDK: CpswMacPort_TsEventCfg Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
CpswMacPort_TsEventCfg Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet MAC Port » CPSW MAC Port

## Detailed Description

Port configuration for time synchronization.

Configuration information for enabling Ethernet RX and TX time sync events in a port.

## Data Fields
bool | txAnnexDEn
bool | rxAnnexDEn
bool | txAnnexEEn
bool | rxAnnexEEn
bool | txAnnexFEn
bool | rxAnnexFEn
bool | txHostTsEn
EnetMacPort_VlanType | txVlanType
EnetMacPort_VlanType | rxVlanType
uint32_t | vlanLType1
uint32_t | vlanLType2
CpswMacPort_IpTsCfg | commonPortIpCfg
uint32_t | mcastType
uint32_t | messageType
bool | ltype2En
uint32_t | seqIdOffset
uint32_t | domainOffset

## Field Documentation

## ◆ txAnnexDEn

bool CpswMacPort_TsEventCfg::txAnnexDEn

Enable Annex D (IPv4) TX Time Synchronization

## ◆ rxAnnexDEn

bool CpswMacPort_TsEventCfg::rxAnnexDEn

Enable Annex D (IPv4) RX Time Synchronization

## ◆ txAnnexEEn

bool CpswMacPort_TsEventCfg::txAnnexEEn

Enable Annex E (IPv6) TX Time Synchronization

## ◆ rxAnnexEEn

bool CpswMacPort_TsEventCfg::rxAnnexEEn

Enable Annex E (IPv6) RX Time Synchronization

## ◆ txAnnexFEn

bool CpswMacPort_TsEventCfg::txAnnexFEn

Enable Annex F (IEEE802.3) TX Time Synchronization

## ◆ rxAnnexFEn

bool CpswMacPort_TsEventCfg::rxAnnexFEn

Enable Annex F (IEEE802.3) RX Time Synchronization

## ◆ txHostTsEn

bool CpswMacPort_TsEventCfg::txHostTsEn

Enable Time Sync transmit host timestamp

## ◆ txVlanType

EnetMacPort_VlanType CpswMacPort_TsEventCfg::txVlanType

TX VLAN Type

## ◆ rxVlanType

EnetMacPort_VlanType CpswMacPort_TsEventCfg::rxVlanType

RX VLAN Type

## ◆ vlanLType1

uint32_t CpswMacPort_TsEventCfg::vlanLType1

VLAN Ltype 1 and 2 are common for both TX and RX and are valid only if txVlanType or rxVlanType is not ENET_MACPORT_VLAN_TYPE_NONE

## ◆ vlanLType2

uint32_t CpswMacPort_TsEventCfg::vlanLType2

VLAN Ltype 1 and 2 are common for both TX and RX and are valid only if txVlanType or rxVlanType is not ENET_MACPORT_VLAN_TYPE_NONE

## ◆ commonPortIpCfg

CpswMacPort_IpTsCfg CpswMacPort_TsEventCfg::commonPortIpCfg

Common configuration for Annex D (IPv4) and Annex E (IPv6)

## ◆ mcastType

uint32_t CpswMacPort_TsEventCfg::mcastType

Multicast type value only for Annex E (IPv6)

## ◆ messageType

uint32_t CpswMacPort_TsEventCfg::messageType

Message type value mask is only for Annex F (PTP)

## ◆ ltype2En

bool CpswMacPort_TsEventCfg::ltype2En

Ltype 2 is only for Annex F (PTP)

## ◆ seqIdOffset

uint32_t CpswMacPort_TsEventCfg::seqIdOffset

Time Sync sequence ID offset

## ◆ domainOffset

uint32_t CpswMacPort_TsEventCfg::domainOffset

Time Sync domain offset